io.undertow.server.handlers.resource

## Enum ResourceChangeEvent.Type

- java.lang.Object
- - java.lang.Enum<ResourceChangeEvent.Type>
  - - io.undertow.server.handlers.resource.ResourceChangeEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<ResourceChangeEvent.Type>

Enclosing class:
  ResourceChangeEvent

    public static enum ResourceChangeEvent.Type
    extends Enum<ResourceChangeEvent.Type>

Watched file event types. More may be added in the future.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADDED` A file was added in a directory.
`MODIFIED` A file was modified in a directory.
`REMOVED` A file was removed from a directory.

### Method Summary

All Methods Static Methods Concrete Methods
`static ResourceChangeEvent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceChangeEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADDED

    public static final ResourceChangeEvent.Type ADDED

A file was added in a directory.

#### REMOVED

    public static final ResourceChangeEvent.Type REMOVED

A file was removed from a directory.

#### MODIFIED

    public static final ResourceChangeEvent.Type MODIFIED

A file was modified in a directory.

### Method Detail

#### values

    public static ResourceChangeEvent.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResourceChangeEvent.Type c : ResourceChangeEvent.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResourceChangeEvent.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null